// Forlix PlaySound
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2009-2013 Dominik Friedrichs

#include <sourcemod>
#include <sdktools>
#include <clientprefs>

#pragma semicolon 1

#define PLUGIN_VERSION            "1.01"
#define PLUGIN_VERSION_CVAR       "forlix_playsound_version"

#define PLUGIN_COMMAND            "sounds"
#define PLAY_COMMAND              "fo_play"

#define PLUGIN_COMMAND_DEADTIME   0.75

#define PANEL_DISPLAYTIME         75

#define MAX_NAME_LEN              32
#define MAX_SOUND_LEN             32
#define MAX_MSG_LEN               128

#define REGENERATION_INTERVAL     2.5

// playback channel:
// 0th bit will be toggled for channel alternation, keep that in mind.
// you may want to experiment with other channels to get less
// sound cutoffs, etc. but trust me i've already done that...
#define PLAYBACK_CHANNEL_BASE     SNDCHAN_USER_BASE+1

#define MENU_CONFIRM_SOUND        "buttons/button14.wav"

#define CONFIG_PATH               "configs/forlix_playsound.cfg"
#define TRANSLATION_FILE          "forlix_playsound.phrases.txt"

#define LOG_MSG_PLAYBACK          "\"%N<%u><%s><%s>\" played sound \"%s\""

// player flags (stored in cookie)
#define PLAYER_INITIALIZED        (1<<0)
#define PLAYER_SOUNDS_MUTED       (1<<1)

public Plugin:myinfo =
{
  name = "Forlix PlaySound",
  author = "Forlix (Dominik Friedrichs)",
  description = "Efficient SaySounds with In-Round regeneration",
  version = PLUGIN_VERSION,
  url = "http://forlix.org/"
};

new log_playbacks = 0;

new sound_overlapping = 0;
new successive_sounds = 0;
new Float:regenerate_per_minute = 0.0;

new String:help_cmd[32];
new String:soundlist_url[256];

new Handle:h_trie_snds = INVALID_HANDLE;
new Handle:h_array_snds = INVALID_HANDLE;
new sounds_listed = 0;

new Float:p_sounds[MAXPLAYERS+1];
new p_flags[MAXPLAYERS+1];

#include "fp_convars.sp"
#include "fp_soundlist.sp"
#include "fp_playback.sp"
#include "fp_panel.sp"
#include "fp_cookie.sp"
#include "fp_toolfuncs.sp"
