// Forlix PlaySound
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2009-2013 Dominik Friedrichs

static Handle:h_cookie_pflags = INVALID_HANDLE;


Cookie_PluginStart()
{
  h_cookie_pflags = RegClientCookie("forlix_playsound_flags",
                                    "Forlix PlaySound player flags",
                                    CookieAccess_Protected);
  return;
}


ReadPlayersCookie(client)
{
  if(IsFakeClient(client)
  || (p_flags[client] & PLAYER_INITIALIZED))
    return;

  decl String:buf[8];
  GetClientCookie(client, h_cookie_pflags, buf, sizeof(buf));

  p_flags[client] = StringToInt(buf) | PLAYER_INITIALIZED;
  return;
}


WritePlayersCookie(client)
{
  if(IsFakeClient(client)
  || !(p_flags[client] & PLAYER_INITIALIZED))
    return;

  decl String:buf[8];
  IntToString(p_flags[client], buf, sizeof(buf));

  SetClientCookie(client, h_cookie_pflags, buf);
  return;
}


ReadEveryPlayersCookie()
{
  for(new client = 1; client <= MaxClients; client++)
  if(IsClientConnected(client)
  && AreClientCookiesCached(client))
    ReadPlayersCookie(client);

  return;
}


WriteEveryPlayersCookie()
{
  for(new client = 1; client <= MaxClients; client++)
  if(IsClientConnected(client))
    WritePlayersCookie(client);

  return;
}
