// Forlix PlaySound
// http://forlix.org/, df@forlix.org
//
// Copyright (c) 2009-2013 Dominik Friedrichs


public Action:HelpPanel(client, args)
{
  if(!client)
    return(Plugin_Continue);

  if(!(p_flags[client] & PLAYER_INITIALIZED)
  || DeadTimeBlock(client))
    return(Plugin_Handled);

  if(!sounds_listed)
  {
    PrintToChat(client, "%t", "NO_SOUNDS_LISTED");
    return(Plugin_Handled);
  }

  // respond to plugin command
  decl String:buf[256];

  new Handle:pn = CreatePanel();
  SetGlobalTransTarget(client);

  new pn_keys = 0;

  Format(buf, sizeof(buf), "Forlix PlaySound v%s\n ", PLUGIN_VERSION);
  DrawPanelText(pn, buf);

  Format(buf, sizeof(buf), "%t\n ", "SOUNDS_LISTED", sounds_listed);
  DrawPanelText(pn, buf);

  if(strcmp(soundlist_url, "none"))
  {
    pn_keys |= (1<<1-1);
    Format(buf, sizeof(buf), "->1. %t\n ", "DISPLAY_SOUNDLIST_HTML");
    DrawPanelText(pn, buf);
  }

  Format(buf, sizeof(buf), "%t", "PRINT_SOUNDLIST_TO");
  DrawPanelText(pn, buf);

  pn_keys |= (1<<2-1);
  Format(buf, sizeof(buf), "->2. %t", "CHAT");
  DrawPanelText(pn, buf);

  pn_keys |= (1<<3-1);
  Format(buf, sizeof(buf), "->3. %t\n ", "CONSOLE");
  DrawPanelText(pn, buf);

  decl String:firstsnd[MAX_SOUND_LEN];
  GetArrayString(h_array_snds, 0, firstsnd, sizeof(firstsnd));

  Format(buf, sizeof(buf), "%t\n ", "HELPPANEL_TEXT", PLAY_COMMAND, firstsnd);
  DrawPanelText(pn, buf);

  DrawPanelText(pn, "(c) 2009-2011 Forlix\nEmail: df@forlix.org\nWeb: http://forlix.org/\n ");

  if(p_flags[client] & PLAYER_SOUNDS_MUTED)
  {
    pn_keys |= (1<<9-1);
    Format(buf, sizeof(buf), "->9. %t", "UNMUTE_SOUNDS");
    DrawPanelText(pn, buf);
  }
  else
  {
    pn_keys |= (1<<9-1);
    Format(buf, sizeof(buf), "->9. %t", "MUTE_SOUNDS");
    DrawPanelText(pn, buf);
  }

  DrawPanelText(pn, " ");

  pn_keys |= (1<<10-1);
  Format(buf, sizeof(buf), "0. %t", "EXIT");
  DrawPanelText(pn, buf);

  SetPanelKeys(pn, pn_keys);

  SendPanelToClient(pn, client, HelpPanelReturn, PANEL_DISPLAYTIME);
  CloseHandle(pn);

  return(Plugin_Handled);
}


public HelpPanelReturn(Handle:panel,
                       MenuAction:action,
                       param1,
                       param2)
{
  if(action != MenuAction_Select
  || param2 == 10)
    return;

  new client = param1;
  SetGlobalTransTarget(client);

  switch(param2)
  {
    case 1:
    // display soundlist
    {
      decl String:title[64];
      Format(title, sizeof(title), "%t", "SOUNDLIST_TITLE");

      ShowMOTDPanel(client, title, soundlist_url, MOTDPANEL_TYPE_URL);
    }

    case 2:
    // print soundlist to chat
      PrintSoundlistTo(client, false);

    case 3:
    // print soundlist to console
      PrintSoundlistTo(client, true);

    case 9:
    // toggle mute flag
    {
      p_flags[client] ^= PLAYER_SOUNDS_MUTED;

      if(p_flags[client] & PLAYER_SOUNDS_MUTED)
        PrintToChat(client, "%t", "SOUNDS_MUTED");
      else
        PrintToChat(client, "%t", "SOUNDS_UNMUTED");
    }
  }

  EmitSoundToClient(client, MENU_CONFIRM_SOUND);
  return;
}
